{
  "accUserMode" : 2,
  "getCapPSLanguageRes" : {
    "lanResTag" : "MENUITEM.CAPTION.DATAIMPORTANDEXPORT",
    "mOSFilePath" : "pslanguageres/Auto1969",
    "rTMOSFilePath" : "pslanguageres/Auto1969"
  },
  "caption" : "数据导入导出",
  "codeName" : "IBIZBOOKExportAndImportGridView",
  "dynaModelFilePath" : "PSSYSAPPS/Web/PSAPPDEVIEWS/IBIZBOOKExportAndImportGridView.json",
  "gridRowActiveMode" : 2,
  "mOSFilePath" : "pssysapps/Web/psappdeviews/IBIZBOOKExportAndImportGridView",
  "name" : "IBIZBOOKExportAndImportGridView",
  "getPSAppDataEntity" : {
    "modelref" : true,
    "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZBOOK.json"
  },
  "getPSAppModule" : {
    "modelref" : true,
    "path" : "PSSYSAPPS/Web/PSAPPMODULES/Sample.json"
  },
  "getPSAppViewEngines" : [ {
    "engineCat" : "VIEW",
    "engineType" : "GridView",
    "mOSFilePath" : "pssysapps/Web/psappdeviews/IBIZBOOKExportAndImportGridView/psappviewengines/engine",
    "name" : "engine",
    "getPSUIEngineParams" : [ {
      "appViewLogicName" : "opendata",
      "name" : "OPENDATA",
      "paramType" : "LOGIC"
    }, {
      "appViewLogicName" : "newdata",
      "name" : "NEWDATA",
      "paramType" : "LOGIC"
    }, {
      "ctrlName" : "grid",
      "name" : "GRID",
      "paramType" : "CTRL"
    } ]
  } ],
  "getPSAppViewLogics" : [ {
    "eventArg" : "deuiaction1",
    "eventNames" : "CLICK",
    "logicTrigger" : "CTRLEVENT",
    "logicType" : "APPVIEWUIACTION",
    "name" : "toolbar_deuiaction1_click",
    "getPSAppViewUIAction" : {
      "modelref" : true,
      "id" : "toolbar_deuiaction1"
    },
    "getPSViewCtrlName" : "toolbar"
  }, {
    "eventArg" : "deuiaction2",
    "eventNames" : "CLICK",
    "logicTrigger" : "CTRLEVENT",
    "logicType" : "APPVIEWUIACTION",
    "name" : "toolbar_deuiaction2_click",
    "getPSAppViewUIAction" : {
      "modelref" : true,
      "id" : "toolbar_deuiaction2"
    },
    "getPSViewCtrlName" : "toolbar"
  }, {
    "logicTrigger" : "CUSTOM",
    "logicType" : "SYSUILOGIC",
    "name" : "newdata",
    "getPSAppUILogic" : {
      "actionAfterWizard" : "DEFAULT",
      "logicType" : "PREDEFINED",
      "name" : "新建数据",
      "getNewDataPSAppView" : {
        "mOSFilePath" : "psappviewlogicrefviews/IBIZBOOKEditView",
        "rTMOSFilePath" : "psappviewlogicrefviews/IBIZBOOKEditView",
        "getRefPSAppView" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/IBIZBOOKEditView.json",
          "viewType" : "DEEDITVIEW"
        }
      },
      "getPSAppUILogicRefViews" : [ {
        "mOSFilePath" : "psappviewlogicrefviews/IBIZBOOKEditView",
        "rTMOSFilePath" : "psappviewlogicrefviews/IBIZBOOKEditView",
        "getRefPSAppView" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/IBIZBOOKEditView.json",
          "viewType" : "DEEDITVIEW"
        }
      } ],
      "viewLogicType" : "APP_NEWDATA",
      "batchAddOnly" : false,
      "enableBatchAdd" : false,
      "enableWizardAdd" : false
    }
  }, {
    "logicTrigger" : "CUSTOM",
    "logicType" : "SYSUILOGIC",
    "name" : "opendata",
    "getPSAppUILogic" : {
      "logicType" : "PREDEFINED",
      "name" : "打开数据",
      "getOpenDataPSAppView" : {
        "mOSFilePath" : "psappviewlogicrefviews/IBIZBOOKEditView",
        "rTMOSFilePath" : "psappviewlogicrefviews/IBIZBOOKEditView",
        "getRefPSAppView" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/IBIZBOOKEditView.json",
          "viewType" : "DEEDITVIEW"
        }
      },
      "getPSAppUILogicRefViews" : [ {
        "mOSFilePath" : "psappviewlogicrefviews/IBIZBOOKEditView",
        "rTMOSFilePath" : "psappviewlogicrefviews/IBIZBOOKEditView",
        "getRefPSAppView" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/IBIZBOOKEditView.json",
          "viewType" : "DEEDITVIEW"
        }
      } ],
      "viewLogicType" : "APP_OPENDATA",
      "editMode" : true
    }
  } ],
  "getPSAppViewMsgGroup" : {
    "modelref" : true,
    "id" : "VMGroup95"
  },
  "getPSAppViewRefs" : [ {
    "name" : "NEWDATA",
    "realTitle" : "图书编辑视图",
    "getRealTitlePSLanguageRes" : {
      "lanResTag" : "PAGE.TITLE.IBIZBOOK.EDITVIEW",
      "mOSFilePath" : "pslanguageres/Auto1395",
      "rTMOSFilePath" : "pslanguageres/Auto1395"
    },
    "getRefPSAppView" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/IBIZBOOKEditView.json",
      "viewType" : "DEEDITVIEW"
    }
  }, {
    "name" : "EDITDATA",
    "realTitle" : "图书编辑视图",
    "getRealTitlePSLanguageRes" : {
      "lanResTag" : "PAGE.TITLE.IBIZBOOK.EDITVIEW",
      "mOSFilePath" : "pslanguageres/Auto1395",
      "rTMOSFilePath" : "pslanguageres/Auto1395"
    },
    "getRefPSAppView" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/IBIZBOOKEditView.json",
      "viewType" : "DEEDITVIEW"
    }
  } ],
  "getPSAppViewUIActions" : [ {
    "name" : "toolbar_deuiaction1",
    "getPSUIAction" : {
      "modelref" : true,
      "id" : "Import"
    },
    "xDataControlName" : "grid"
  }, {
    "name" : "toolbar_deuiaction2",
    "getPSUIAction" : {
      "modelref" : true,
      "id" : "ExportExcel"
    },
    "xDataControlName" : "grid"
  } ],
  "getPSControls" : [ {
    "aggMode" : "NONE",
    "codeName" : "ExporAndImportGrid",
    "columnEnableLink" : 2,
    "controlType" : "GRID",
    "dynaModelFilePath" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZBOOK/PSGRIDS/ExporAndImportGrid.json",
    "getFetchPSControlAction" : {
      "modelref" : true,
      "id" : "fetch"
    },
    "groupMode" : "NONE",
    "hookEventNames" : [ "ROWDBLCLICK", "SELECTIONCHANGE", "REMOVE", "LOAD", "BEFORELOAD" ],
    "logicName" : "数据导出导入",
    "mOSFilePath" : "psmodules/Sample/psdataentities/IBIZBOOK/psdegrids/ExporAndImportGrid",
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZBOOK.json"
    },
    "getPSControlHandler" : {
      "getPSHandlerActions" : [ {
        "actionName" : "Get",
        "actionType" : "DEACTION",
        "dataAccessAction" : "READ",
        "name" : "load",
        "getPSAppDEMethod" : {
          "modelref" : true,
          "id" : "Get"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZBOOK.json"
        }
      }, {
        "actionName" : "Create",
        "actionType" : "DEACTION",
        "dataAccessAction" : "CREATE",
        "name" : "create",
        "getPSAppDEMethod" : {
          "modelref" : true,
          "id" : "Create"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZBOOK.json"
        }
      }, {
        "actionName" : "Update",
        "actionType" : "DEACTION",
        "dataAccessAction" : "UPDATE",
        "name" : "update",
        "getPSAppDEMethod" : {
          "modelref" : true,
          "id" : "Update"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZBOOK.json"
        }
      }, {
        "actionName" : "Remove",
        "actionType" : "DEACTION",
        "dataAccessAction" : "DELETE",
        "name" : "remove",
        "getPSAppDEMethod" : {
          "modelref" : true,
          "id" : "Remove"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZBOOK.json"
        }
      }, {
        "actionName" : "GetDraft",
        "actionType" : "DEACTION",
        "dataAccessAction" : "CREATE",
        "name" : "loaddraft",
        "getPSAppDEMethod" : {
          "modelref" : true,
          "id" : "GetDraft"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZBOOK.json"
        }
      }, {
        "actionType" : "DEDATASET",
        "name" : "fetch",
        "getPSAppDEMethod" : {
          "modelref" : true,
          "id" : "FetchDefault"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZBOOK.json"
        }
      } ],
      "userDRAction" : "READ",
      "enableDEFieldPrivilege" : false,
      "id" : "数据表格处理器"
    },
    "getPSControlLogics" : [ {
      "eventNames" : "ROWDBLCLICK;SELECTIONCHANGE;REMOVE;LOAD;BEFORELOAD",
      "logicTag" : "grid",
      "logicType" : "APPVIEWENGINE",
      "name" : "engine_grid",
      "getPSAppViewEngine" : {
        "modelref" : true,
        "id" : "engine"
      }
    } ],
    "getPSControlParam" : {
      "autoLoad" : true,
      "showBusyIndicator" : true,
      "id" : "GRID"
    },
    "getPSDEDataImport" : {
      "modelref" : true,
      "id" : "DataImport"
    },
    "getPSDEGridColumns" : [ {
      "align" : "LEFT",
      "cLConvertMode" : "NONE",
      "getCapPSLanguageRes" : {
        "lanResTag" : "DEF.LNAME.IBIZBOOKNAME",
        "mOSFilePath" : "pslanguageres/Auto1983",
        "rTMOSFilePath" : "pslanguageres/Auto1983"
      },
      "caption" : "图书名称",
      "codeName" : "ibizbookname",
      "columnType" : "DEFGRIDCOLUMN",
      "dataItemName" : "ibizbookname",
      "excelCaption" : "图书名称",
      "mOSFilePath" : "psdegridcols/ibizbookname",
      "name" : "ibizbookname",
      "noPrivDisplayMode" : 1,
      "getPSAppDEField" : {
        "name" : "IBIZBOOKNAME",
        "codeName" : "IBIZBOOKName"
      },
      "rTMOSFilePath" : "psdegridcols/ibizbookname",
      "width" : 200,
      "widthUnit" : "PX",
      "enableSort" : true
    }, {
      "align" : "LEFT",
      "cLConvertMode" : "NONE",
      "getCapPSLanguageRes" : {
        "lanResTag" : "DEF.LNAME.AUTHOR",
        "mOSFilePath" : "pslanguageres/Auto2038",
        "rTMOSFilePath" : "pslanguageres/Auto2038"
      },
      "caption" : "图书作者",
      "codeName" : "author",
      "columnType" : "DEFGRIDCOLUMN",
      "dataItemName" : "author",
      "excelCaption" : "图书作者",
      "mOSFilePath" : "psdegridcols/author",
      "name" : "author",
      "noPrivDisplayMode" : 1,
      "getPSAppDEField" : {
        "name" : "AUTHOR",
        "codeName" : "Author"
      },
      "rTMOSFilePath" : "psdegridcols/author",
      "width" : 200,
      "widthUnit" : "PX",
      "enableSort" : true
    }, {
      "align" : "LEFT",
      "cLConvertMode" : "FRONT",
      "getCapPSLanguageRes" : {
        "lanResTag" : "DEF.LNAME.TYPE",
        "mOSFilePath" : "pslanguageres/Auto2088",
        "rTMOSFilePath" : "pslanguageres/Auto2088"
      },
      "caption" : "图书类型",
      "codeName" : "type",
      "columnType" : "DEFGRIDCOLUMN",
      "dataItemName" : "type",
      "excelCaption" : "图书类型",
      "mOSFilePath" : "psdegridcols/type",
      "name" : "type",
      "noPrivDisplayMode" : 1,
      "getPSAppCodeList" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Web/PSAPPCODELISTS/BookType.json"
      },
      "getPSAppDEField" : {
        "name" : "TYPE",
        "codeName" : "Type"
      },
      "rTMOSFilePath" : "psdegridcols/type",
      "width" : 150,
      "widthUnit" : "PX",
      "enableSort" : true
    }, {
      "align" : "LEFT",
      "cLConvertMode" : "NONE",
      "getCapPSLanguageRes" : {
        "lanResTag" : "DEF.LNAME.PRESS",
        "mOSFilePath" : "pslanguageres/Auto1827",
        "rTMOSFilePath" : "pslanguageres/Auto1827"
      },
      "caption" : "图书出版社",
      "codeName" : "press",
      "columnType" : "DEFGRIDCOLUMN",
      "dataItemName" : "press",
      "excelCaption" : "图书出版社",
      "mOSFilePath" : "psdegridcols/press",
      "name" : "press",
      "noPrivDisplayMode" : 1,
      "getPSAppDEField" : {
        "name" : "PRESS",
        "codeName" : "Press"
      },
      "rTMOSFilePath" : "psdegridcols/press",
      "width" : 200,
      "widthUnit" : "PX",
      "enableSort" : true
    }, {
      "align" : "LEFT",
      "cLConvertMode" : "NONE",
      "getCapPSLanguageRes" : {
        "lanResTag" : "DEF.LNAME.PRICE",
        "mOSFilePath" : "pslanguageres/Auto1925",
        "rTMOSFilePath" : "pslanguageres/Auto1925"
      },
      "caption" : "图书价格",
      "codeName" : "price",
      "columnType" : "DEFGRIDCOLUMN",
      "dataItemName" : "price",
      "excelCaption" : "图书价格",
      "mOSFilePath" : "psdegridcols/price",
      "name" : "price",
      "noPrivDisplayMode" : 1,
      "getPSAppDEField" : {
        "name" : "PRICE",
        "codeName" : "Price"
      },
      "rTMOSFilePath" : "psdegridcols/price",
      "width" : 150,
      "widthUnit" : "PX",
      "enableSort" : true
    }, {
      "align" : "LEFT",
      "cLConvertMode" : "NONE",
      "getCapPSLanguageRes" : {
        "lanResTag" : "DEF.LNAME.SUBTEXT",
        "mOSFilePath" : "pslanguageres/Auto2119",
        "rTMOSFilePath" : "pslanguageres/Auto2119"
      },
      "caption" : "图书描述",
      "codeName" : "subtext",
      "columnType" : "DEFGRIDCOLUMN",
      "dataItemName" : "subtext",
      "excelCaption" : "图书描述",
      "mOSFilePath" : "psdegridcols/subtext",
      "name" : "subtext",
      "noPrivDisplayMode" : 1,
      "getPSAppDEField" : {
        "name" : "SUBTEXT",
        "codeName" : "Subtext"
      },
      "rTMOSFilePath" : "psdegridcols/subtext",
      "width" : 200,
      "widthUnit" : "STAR",
      "enableSort" : true
    }, {
      "align" : "LEFT",
      "cLConvertMode" : "NONE",
      "getCapPSLanguageRes" : {
        "lanResTag" : "DEF.LNAME.BOOKNUMBER",
        "mOSFilePath" : "pslanguageres/Auto2067",
        "rTMOSFilePath" : "pslanguageres/Auto2067"
      },
      "caption" : "图书数量",
      "codeName" : "booknumber",
      "columnType" : "DEFGRIDCOLUMN",
      "dataItemName" : "booknumber",
      "excelCaption" : "图书数量",
      "mOSFilePath" : "psdegridcols/booknumber",
      "name" : "booknumber",
      "noPrivDisplayMode" : 1,
      "getPSAppDEField" : {
        "name" : "BOOKNUMBER",
        "codeName" : "Booknumber"
      },
      "rTMOSFilePath" : "psdegridcols/booknumber",
      "width" : 150,
      "widthUnit" : "PX",
      "enableSort" : true
    }, {
      "align" : "LEFT",
      "cLConvertMode" : "NONE",
      "getCapPSLanguageRes" : {
        "lanResTag" : "DEF.LNAME.TAG",
        "mOSFilePath" : "pslanguageres/Auto2141",
        "rTMOSFilePath" : "pslanguageres/Auto2141"
      },
      "caption" : "标签",
      "codeName" : "tag",
      "columnType" : "DEFGRIDCOLUMN",
      "dataItemName" : "tag",
      "excelCaption" : "标签",
      "mOSFilePath" : "psdegridcols/tag",
      "name" : "tag",
      "noPrivDisplayMode" : 1,
      "getPSAppDEField" : {
        "name" : "TAG",
        "codeName" : "Tag"
      },
      "rTMOSFilePath" : "psdegridcols/tag",
      "width" : 100,
      "widthUnit" : "PX",
      "enableSort" : false
    }, {
      "align" : "LEFT",
      "cLConvertMode" : "FRONT",
      "getCapPSLanguageRes" : {
        "lanResTag" : "DEF.LNAME.BORROWWAY",
        "mOSFilePath" : "pslanguageres/Auto2100",
        "rTMOSFilePath" : "pslanguageres/Auto2100"
      },
      "caption" : "借阅方式",
      "codeName" : "borrowway",
      "columnType" : "DEFGRIDCOLUMN",
      "dataItemName" : "borrowway",
      "excelCaption" : "借阅方式",
      "mOSFilePath" : "psdegridcols/borrowway",
      "name" : "borrowway",
      "noPrivDisplayMode" : 1,
      "getPSAppCodeList" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Web/PSAPPCODELISTS/CodeList25.json"
      },
      "getPSAppDEField" : {
        "name" : "BORROWWAY",
        "codeName" : "Borrowway"
      },
      "rTMOSFilePath" : "psdegridcols/borrowway",
      "width" : 100,
      "widthUnit" : "PX",
      "enableSort" : true
    }, {
      "align" : "LEFT",
      "cLConvertMode" : "FRONT",
      "getCapPSLanguageRes" : {
        "lanResTag" : "DEF.LNAME.SAILSTATE",
        "mOSFilePath" : "pslanguageres/Auto1848",
        "rTMOSFilePath" : "pslanguageres/Auto1848"
      },
      "caption" : "图书销售状态",
      "codeName" : "sailstate",
      "columnType" : "DEFGRIDCOLUMN",
      "dataItemName" : "sailstate",
      "excelCaption" : "图书销售状态",
      "mOSFilePath" : "psdegridcols/sailstate",
      "name" : "sailstate",
      "noPrivDisplayMode" : 1,
      "getPSAppCodeList" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Web/PSAPPCODELISTS/BookSailState.json"
      },
      "getPSAppDEField" : {
        "name" : "SAILSTATE",
        "codeName" : "Sailstate"
      },
      "rTMOSFilePath" : "psdegridcols/sailstate",
      "width" : 100,
      "widthUnit" : "STAR",
      "enableSort" : true
    }, {
      "align" : "LEFT",
      "cLConvertMode" : "NONE",
      "getCapPSLanguageRes" : {
        "lanResTag" : "DEF.LNAME.LENDOUTTIME",
        "mOSFilePath" : "pslanguageres/Auto2028",
        "rTMOSFilePath" : "pslanguageres/Auto2028"
      },
      "caption" : "借出日期",
      "codeName" : "lendouttime",
      "columnType" : "DEFGRIDCOLUMN",
      "dataItemName" : "lendouttime",
      "excelCaption" : "借出日期",
      "mOSFilePath" : "psdegridcols/lendouttime",
      "name" : "lendouttime",
      "noPrivDisplayMode" : 1,
      "getPSAppDEField" : {
        "name" : "LENDOUTTIME",
        "codeName" : "Lendouttime"
      },
      "rTMOSFilePath" : "psdegridcols/lendouttime",
      "valueFormat" : "YYYY-MM-DD",
      "width" : 100,
      "widthUnit" : "PX",
      "enableSort" : true
    } ],
    "getPSDEGridDataItems" : [ {
      "dataType" : 25,
      "name" : "ibizbookname",
      "getPSAppDEField" : {
        "name" : "IBIZBOOKNAME",
        "codeName" : "IBIZBOOKName"
      }
    }, {
      "dataType" : 25,
      "name" : "author",
      "getPSAppDEField" : {
        "name" : "AUTHOR",
        "codeName" : "Author"
      }
    }, {
      "dataType" : 25,
      "name" : "type",
      "getPSAppDEField" : {
        "name" : "TYPE",
        "codeName" : "Type"
      }
    }, {
      "dataType" : 25,
      "name" : "press",
      "getPSAppDEField" : {
        "name" : "PRESS",
        "codeName" : "Press"
      }
    }, {
      "dataType" : 7,
      "name" : "price",
      "getPSAppDEField" : {
        "name" : "PRICE",
        "codeName" : "Price"
      }
    }, {
      "dataType" : 25,
      "name" : "subtext",
      "getPSAppDEField" : {
        "name" : "SUBTEXT",
        "codeName" : "Subtext"
      }
    }, {
      "dataType" : 9,
      "name" : "booknumber",
      "getPSAppDEField" : {
        "name" : "BOOKNUMBER",
        "codeName" : "Booknumber"
      }
    }, {
      "dataType" : 21,
      "name" : "tag",
      "getPSAppDEField" : {
        "name" : "TAG",
        "codeName" : "Tag"
      }
    }, {
      "dataType" : 25,
      "name" : "borrowway",
      "getPSAppDEField" : {
        "name" : "BORROWWAY",
        "codeName" : "Borrowway"
      }
    }, {
      "dataType" : 25,
      "name" : "sailstate",
      "getPSAppDEField" : {
        "name" : "SAILSTATE",
        "codeName" : "Sailstate"
      }
    }, {
      "format" : "YYYY-MM-DD",
      "dataType" : 5,
      "name" : "lendouttime",
      "getPSAppDEField" : {
        "name" : "LENDOUTTIME",
        "codeName" : "Lendouttime"
      }
    }, {
      "dataType" : 25,
      "name" : "ibizbookid",
      "getPSAppDEField" : {
        "name" : "IBIZBOOKID",
        "codeName" : "IBIZBOOKId"
      }
    }, {
      "dataType" : 25,
      "name" : "srfkey",
      "getPSAppDEField" : {
        "name" : "IBIZBOOKID",
        "codeName" : "IBIZBOOKId"
      }
    }, {
      "dataType" : 25,
      "name" : "srfdataaccaction",
      "getPSAppDEField" : {
        "name" : "IBIZBOOKID",
        "codeName" : "IBIZBOOKId"
      },
      "dataAccessAction" : true
    }, {
      "dataType" : 25,
      "name" : "srfmajortext",
      "getPSAppDEField" : {
        "name" : "IBIZBOOKNAME",
        "codeName" : "IBIZBOOKName"
      }
    }, {
      "dataType" : 25,
      "name" : "srfmstag"
    } ],
    "getPSDEGridEditItems" : [ {
      "caption" : "图书标识",
      "codeName" : "srfkey",
      "enableCond" : 3,
      "ignoreInput" : 0,
      "mOSFilePath" : "psdegridcols/srfkey",
      "name" : "srfkey",
      "getPSAppDEField" : {
        "name" : "IBIZBOOKID",
        "codeName" : "IBIZBOOKId"
      },
      "getPSEditor" : {
        "editorType" : "HIDDEN",
        "name" : "srfkey"
      },
      "rTMOSFilePath" : "psdegridcols/srfkey",
      "allowEmpty" : true
    } ],
    "pagingSize" : 20,
    "rTMOSFilePath" : "pssysapps/Web/psappdeviews/IBIZBOOKExportAndImportGridView/psappviewctrls/grid",
    "getRemovePSControlAction" : {
      "actionName" : "Remove",
      "actionType" : "DEACTION",
      "dataAccessAction" : "DELETE",
      "name" : "remove",
      "getPSAppDEMethod" : {
        "modelref" : true,
        "id" : "Remove"
      },
      "getPSAppDataEntity" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZBOOK.json"
      }
    },
    "sortMode" : "REMOTE",
    "hasWFDataItems" : false,
    "enableColFilter" : false,
    "enableCustomized" : true,
    "enableGroup" : false,
    "enablePagingBar" : true,
    "enableRowEdit" : false,
    "enableRowEditOrder" : false,
    "enableRowNew" : false,
    "forceFit" : true,
    "hideHeader" : false,
    "noSort" : false,
    "singleSelect" : false,
    "name" : "grid",
    "modelid" : "49dc0ae672977b75269fee69457bc0dc",
    "modeltype" : "PSDEGRID"
  }, {
    "codeName" : "ExportAndImportGridViewtoolbar",
    "controlType" : "TOOLBAR",
    "hookEventNames" : [ "CLICK" ],
    "logicName" : "数据导入导出工具栏",
    "mOSFilePath" : "psmodules/Sample/psdataentities/IBIZBOOK/psdetoolbars/ExportAndImportGridViewtoolbar",
    "name" : "toolbar",
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZBOOK.json"
    },
    "getPSControlLogics" : [ {
      "eventArg" : "deuiaction1",
      "eventNames" : "CLICK",
      "logicTag" : "toolbar",
      "logicType" : "APPVIEWLOGIC",
      "name" : "toolbar_deuiaction1_click",
      "getPSAppViewLogic" : {
        "modelref" : true,
        "id" : "toolbar_deuiaction1_click"
      }
    }, {
      "eventArg" : "deuiaction2",
      "eventNames" : "CLICK",
      "logicTag" : "toolbar",
      "logicType" : "APPVIEWLOGIC",
      "name" : "toolbar_deuiaction2_click",
      "getPSAppViewLogic" : {
        "modelref" : true,
        "id" : "toolbar_deuiaction2_click"
      }
    } ],
    "getPSControlParam" : {
      "id" : "TOOLBAR"
    },
    "getPSDEToolbarItems" : [ {
      "caption" : "数据导入",
      "groupExtractMode" : "ITEM",
      "itemType" : "DEUIACTION",
      "name" : "deuiaction1",
      "noPrivDisplayMode" : 2,
      "getPSAppViewUIAction" : {
        "modelref" : true,
        "id" : "toolbar_deuiaction1"
      },
      "getPSSysImage" : {
        "glyph" : "xf093@FontAwesome",
        "cssClass" : "fa fa-upload"
      },
      "getPSUIAction" : {
        "caption" : "数据导入",
        "codeName" : "Import",
        "fullCodeName" : "Import",
        "mOSFilePath" : "pssysapps/Web/pssysappdeuiactions/Import",
        "name" : "表格界面_数据导入栏",
        "getPSSysImage" : {
          "glyph" : "xf093@FontAwesome",
          "cssClass" : "fa fa-upload"
        },
        "predefinedType" : "GRIDVIEW_IMPORTBAR",
        "rTMOSFilePath" : "pssysapps/Web/pssysappdeuiactions/Import",
        "timeout" : 60000,
        "uIActionMode" : "SYS",
        "uIActionTag" : "Import",
        "uIActionType" : "DEUIACTION"
      },
      "tooltip" : "数据导入",
      "showCaption" : true,
      "showIcon" : true
    }, {
      "getCapPSLanguageRes" : {
        "lanResTag" : "TBB.TEXT.*.EXPORT",
        "mOSFilePath" : "pslanguageres/Auto1675",
        "rTMOSFilePath" : "pslanguageres/Auto1675"
      },
      "caption" : "数据导出",
      "groupExtractMode" : "ITEM",
      "itemType" : "DEUIACTION",
      "name" : "deuiaction2",
      "noPrivDisplayMode" : 2,
      "getPSAppViewUIAction" : {
        "modelref" : true,
        "id" : "toolbar_deuiaction2"
      },
      "getPSSysImage" : {
        "glyph" : "xf1c3@FontAwesome",
        "cssClass" : "fa fa-file-excel-o"
      },
      "getPSUIAction" : {
        "getCapPSLanguageRes" : {
          "lanResTag" : "TBB.TEXT.*.EXPORT",
          "mOSFilePath" : "pslanguageres/Auto1675",
          "rTMOSFilePath" : "pslanguageres/Auto1675"
        },
        "caption" : "导出",
        "codeName" : "ExportExcel",
        "fullCodeName" : "ExportExcel",
        "mOSFilePath" : "pssysapps/Web/pssysappdeuiactions/ExportExcel",
        "name" : "表格界面_导出操作（Excel）",
        "getPSSysImage" : {
          "glyph" : "xf1c3@FontAwesome",
          "cssClass" : "fa fa-file-excel-o"
        },
        "predefinedType" : "GRIDVIEW_EXPORTACTION",
        "rTMOSFilePath" : "pssysapps/Web/pssysappdeuiactions/ExportExcel",
        "timeout" : 60000,
        "getTooltipPSLanguageRes" : {
          "lanResTag" : "TBB.TOOLTIP.*.EXPORT",
          "mOSFilePath" : "pslanguageres/Auto160",
          "rTMOSFilePath" : "pslanguageres/Auto160"
        },
        "uIActionMode" : "SYS",
        "uIActionTag" : "ExportExcel",
        "uIActionType" : "DEUIACTION"
      },
      "tooltip" : "数据导出",
      "getTooltipPSLanguageRes" : {
        "lanResTag" : "TBB.TOOLTIP.*.EXPORT",
        "mOSFilePath" : "pslanguageres/Auto160",
        "rTMOSFilePath" : "pslanguageres/Auto160"
      },
      "showCaption" : true,
      "showIcon" : true
    } ],
    "rTMOSFilePath" : "pssysapps/Web/psappdeviews/IBIZBOOKExportAndImportGridView/psappviewctrls/toolbar",
    "modelid" : "1d4753106523805869a55dff89728385",
    "modeltype" : "PSDETOOLBAR"
  } ],
  "getPSDEViewCodeName" : "ExportAndImportGridView",
  "getPSDEViewId" : "5a6b38b1af3aab3b204b2009f7b6a42e",
  "getPSViewLayoutPanel" : {
    "codeName" : "Layoutpanel",
    "controlStyle" : "APPDEGRIDVIEW",
    "controlType" : "VIEWLAYOUTPANEL",
    "mOSFilePath" : "psmodules/Sample/psdataentities/IBIZBOOK/pssysviewlayoutpanels/Layoutpanel",
    "name" : "layoutpanel",
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZBOOK.json"
    },
    "getPSControlParam" : { },
    "rTMOSFilePath" : "pssysapps/Web/psappdeviews/IBIZBOOKExportAndImportGridView/psappviewctrls/layoutpanel",
    "layoutBodyOnly" : true,
    "layoutPanel" : true,
    "useDefaultLayout" : true
  },
  "rTMOSFilePath" : "pssysapps/Web/psappdeviews/IBIZBOOKExportAndImportGridView",
  "title" : "图书表格视图(数据导入导出)",
  "getTitlePSLanguageRes" : {
    "lanResTag" : "PAGE.TITLE.IBIZBOOK.EXPORTANDIMPORTGRIDVIEW",
    "mOSFilePath" : "pslanguageres/Auto2056",
    "rTMOSFilePath" : "pslanguageres/Auto2056"
  },
  "viewStyle" : "DEFAULT",
  "viewType" : "DEGRIDVIEW",
  "xDataControlName" : "grid",
  "enableDP" : true,
  "enableExport" : true,
  "enableFilter" : false,
  "enableImport" : true,
  "enableQuickSearch" : true,
  "enableRowEdit" : false,
  "rowEditDefault" : false,
  "showCaptionBar" : false,
  "modelid" : "918f62b79e5333024e3b8e122a36a021",
  "modeltype" : "PSAPPDEVIEW"
}